Package Base Details: libretro-beetle-psx-git

Git Clone URL: https://aur.archlinux.org/libretro-beetle-psx-git.git (read-only)
Submitter: MikuroK
Maintainer: MikuroK
Last Packager: MikuroK
Votes: 3
Popularity: 0.000000
First Submitted: 2017-12-23 05:57
Last Updated: 2018-01-10 12:32

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

MikuroK commented on 2016-07-03 09:27

@gourdcaptain
What did you need to change?

gourdcaptain commented on 2016-07-03 09:25

I had only the HW package installed, hand editing the config file and recompiling got me a version where opengl was enabled.

MikuroK commented on 2016-07-03 09:23

@gourdcaptain
It is, you can use "ldd" to verify that the non-HW version does not depend on libGL, where the HW one does.
"ldd /usr/lib/libretro/mednafen_psx_*libretro.so"

Keep in mind the HW version is compiled as a separate core, and not as a core option, so with both packages here installed you should see in your core list;
"PlayStation (Beetle PSX HW)" - with opengl
"PlayStation (Beetle PSX)" - without opengl

gourdcaptain commented on 2016-07-02 22:15

I don't think this is setting HAVE_OPENGL correctly still.

MikuroK commented on 2016-07-02 15:31

@Enverex
fixed, will accept with or without spaces there now

Enverex commented on 2016-07-01 10:58

Fails for me:

==> Starting package_libretro-mednafen-psx-hw-git()...
install: creating directory '/var/tmp/yaourt-tmp-arcade/aur-libretro-mednafen-psx-hw-git/pkg/libretro-mednafen-psx-hw-git/usr'
install: creating directory '/var/tmp/yaourt-tmp-arcade/aur-libretro-mednafen-psx-hw-git/pkg/libretro-mednafen-psx-hw-git/usr/lib'
install: creating directory '/var/tmp/yaourt-tmp-arcade/aur-libretro-mednafen-psx-hw-git/pkg/libretro-mednafen-psx-hw-git/usr/lib/libretro'
'/var/tmp/yaourt-tmp-arcade/aur-libretro-mednafen-psx-hw-git/src/beetle-psx-libretro.info' -> '/var/tmp/yaourt-tmp-arcade/aur-libretro-mednafen-psx-hw-git/pkg/libretro-mednafen-psx-hw-git/usr/lib/libretro/mednafen_psx_hw_libretro.info'
install: cannot stat '/var/tmp/yaourt-tmp-arcade/aur-libretro-mednafen-psx-hw-git/src/beetle-psx-libretro/mednafen_psx_hw_libretro.so': No such file or directory
==> ERROR: A failure occurred in package_libretro-mednafen-psx-hw-git().

Figured out why, the Makefile has changed, it's gone from being "HAVE_OPENGL=0" to "HAVE_OPENGL = 0" (note the spaces) so the Sed command used in the build script no-longer works.

mac1202 commented on 2016-05-28 11:56

@MikuroK
Nice, thank you.

MikuroK commented on 2016-05-28 07:23

@mac1202
i've split the package so it makes both a standard and an opengl version (can be installed concurrently)

mac1202 commented on 2016-05-21 14:30

Could you add support for the new opengl render
https://github.com/libretro/beetle-psx-libretro/commit/43abca490ebec15eb8d44cad1b2019cdc1944ab4

OJaksch commented on 2016-02-02 05:34

Great, thanks a lot, pal!
Now there're only a very few packages left to beautify.